#include "highscores.h"

#include <klocale.h>
#include <kapplication.h>
#include <kconfig.h>

#include "factory.h"


using namespace KExtHighscores;

BaseHighscores::BaseHighscores()
{
    setWWHighscores(bfactory->mainData.homepage, bfactory->mainData.version);
    const BaseBoardInfo &bi = bfactory->bbi;
    if ( bi.histogramSize!=0 ) {
        QMemArray<uint> a;
        a.duplicate(bi.histogram, bi.histogramSize);
        setScoreHistogram(a, bi.scoreBound);
    }
}
